const rollup = require(path.join('${appNodeModulesFolderFullPath}', 'rollup'));
const resolve = require(path.join('${appNodeModulesFolderFullPath}', 'rollup-plugin-node-resolve'));
const json = require(path.join('${appNodeModulesFolderFullPath}', 'rollup-plugin-json'));
const babel = require(path.join('${appNodeModulesFolderFullPath}', 'rollup-plugin-babel'));

const inputOptions = 
{
	input: '${inputFullPath}',
	plugins: [
		resolve(),		// must be first
		json()
	]
};

if (${useBabelBool} === true)
{
	if (${nukeAllBabelOptionsBool} === true) {
		inputOptions.plugins.push(babel({}));
	} else {
		inputOptions.plugins.push(babel({
			exclude: 'node_modules/**',
			caller: {name: 'CodeKit3'},
			presets: [
				['@babel/preset-env', {'targets': '>0.25%, last 2 versions'}]
			]
		})
		);
	}
}

const outputOptions = 
{
	file: '${outputFullPath}',
	name: ${outputNameQString},
	format: 'iife',
	sourcemap: ${sourcemapsBool}
};

async function build()
{
	const bundle = await rollup.rollup(inputOptions)
	.catch((err) => {
		process.stderr.write(err.message);
		process.exit(1);
	});

	await bundle.write(outputOptions)
	.catch((err) => {
		process.stderr.write(err.message);
		process.exit(1);
	});
}
build();
